Bug 1478842 - Unable to list openstack flavours when using a non-admin account
Unable to list openstack flavours when using a non-admin account
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
All All
unspecified Severity medium
: GA
: cfme-future
Assigned To: Tzu-Mainn Chen
Ola Pavlenko
openstack
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-07 05:37 EDT by Felix Dewaleyne
Modified: 2017-08-23 08:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 08:59:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: Openstack


Attachments (Terms of Use)

  None (edit)
Description Felix Dewaleyne 2017-08-07 05:37:18 EDT
Description of problem:
When using filters or tag filters, users are unable to view the available flavours of openstack in CF 4.5.0

Version-Release number of selected component (if applicable):
5.8.0.17

How reproducible:
all the time

Steps to Reproduce:
1.set up a couple openstack providers in CF
2.create a new set of user group & user
3.assign the new group tags or filter so that he can see part of the openstack env
4. log in as the user and go to the provider to list all flavours

Actual results:
no flavours listed

Expected results:
able to see flavours they have access to

Additional info:
admin account is able to see all the flavours.
we tried moving from filters to tags to no avail
Comment 3 Felix Dewaleyne 2017-08-10 06:23:48 EDT
after applying 5.8.1.5 and using filters it started working.
Comment 4 Tzu-Mainn Chen 2017-08-15 09:35:20 EDT
May this BZ be closed then?
Comment 5 Felix Dewaleyne 2017-08-23 05:37:33 EDT
yes, that is fine

Note You need to log in before you can comment on or make changes to this bug.